Bug 621990 - Cannot start X with large external monitor attached
Cannot start X with large external monitor attached
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-06 13:27 EDT by Jonas Thiem
Modified: 2010-08-25 15:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-25 15:58:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The output of X to the TTY when attempting to start it up (through startx) (1.53 KB, text/plain)
2010-08-06 13:27 EDT, Jonas Thiem
no flags Details
Xorg.0.log of the incident (19.27 KB, text/plain)
2010-08-06 13:32 EDT, Jonas Thiem
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 29577 None None None Never

  None (edit)
Description Jonas Thiem 2010-08-06 13:27:49 EDT
Created attachment 437217 [details]
The output of X to the TTY when attempting to start it up (through startx)

Description of problem:
X fails to startup with a large external monitor (1680x1050) attached. Removing the monitor, starting X and attaching/configuring the monitor afterwards works flawlessly. The machine is an Asus Eee laptop (intel renderer details see under Additional info) with a native screen of 1024x600.

Version-Release number of selected component (if applicable):
Intel 2.12.0 installed from http://www.scrye.com/~kevin/fedora/xorg-intel/  

How reproducible:
100% (tried multiple times)

Steps to Reproduce:
1. Attach large monitor
2. Use "startx"
  
Actual results:
X fails to start with an error message (see attached X output and Xorg.0.log)

Expected results:
X starts

Additional info:
bash-4.1$ glxinfo | grep Mesa
client glx vendor string: Mesa Project and SGI
OpenGL renderer string: Mesa DRI Intel(R) 945GME GEM 20100328 2010Q1 
OpenGL version string: 1.4 Mesa 7.8.1
bash-4.1$
Comment 1 Jonas Thiem 2010-08-06 13:32:41 EDT
Created attachment 437220 [details]
Xorg.0.log of the incident
Comment 2 Jonas Thiem 2010-08-14 14:18:29 EDT
I forwarded the bug to bugs.freedesktop.org:

https://bugs.freedesktop.org/show_bug.cgi?id=29577

Note You need to log in before you can comment on or make changes to this bug.